function frequentPatterns = undirectedSequenceMining(data, sMin)
    frequentPatterns = aprioriFPM(data, sMin, @initializeWords,...
        @expandSequences, @findSupport, @sortAlphabet, @prune);
end

function initial = initializeWords(sortedAlphabet)
    emptyWord.sequence = {};
    emptyWord.symmetryFlag = 1;
    initial = {emptyWord};
    for i = 1:size(sortedAlphabet,2)
        iw.sequence = {sortedAlphabet{i}};
        iw.symmetryFlag = 1;
        initial{end+1} = iw;
    end
end

function nextPatterns = expandSequences(oldPatterns, alphabet)
% ...
end

function support = findSupport(pattern, data)
% ...
end

function sortedAlphabet = sortAlphabet(data)
    sortedAlphabet = sort(unique(data.sequence));
end

function filtered = prune(shorter, longer)
% ...
end